#!/bin/bash

# Run every morning at 2 AM

# Removes simple sudokus (level<2) that havn't been shown (lastused=0)
# and add some more

# This takes two hours on a 450 MHz Pentium II

/bin/date

/usr/bin/mysql -usudoku -psudoku sudoku <<EOF
delete from sudoku where nx=2 and ny=3 and lastused=0 and ndigits>9 and symmetrical=0
and level<2;
EOF
/usr/local/bin/bsudoku 10000 2 3 0 | /usr/bin/mysql -usudoku -psudoku sudoku

/usr/bin/mysql -usudoku -psudoku sudoku <<EOF
delete from sudoku where nx=2 and ny=3 and lastused=0 and ndigits>12 and symmetrical=1
and level<2;
EOF
/usr/local/bin/bsudoku 10000 2 3 1 | /usr/bin/mysql -usudoku -psudoku sudoku

/usr/bin/mysql -usudoku -psudoku sudoku <<EOF
delete from sudoku where nx=2 and ny=3 and lastused=0 and ndigits>8 and symmetrical=2
and level<2;
EOF
/usr/local/bin/bsudoku 10000 2 3 2 | /usr/bin/mysql -usudoku -psudoku sudoku

/usr/bin/mysql -usudoku -psudoku sudoku <<EOF
delete from sudoku where nx=3 and ny=3 and lastused=0 and ndigits>25 and symmetrical=0
and level!=2 and level!=3;
EOF
/usr/local/bin/bsudoku 10000 3 3 0 | /usr/bin/mysql -usudoku -psudoku sudoku

/usr/bin/mysql -usudoku -psudoku sudoku <<EOF
delete from sudoku where nx=3 and ny=3 and lastused=0 and ndigits>27 and symmetrical=1
and level!=2 and level!=3;
EOF
/usr/local/bin/bsudoku 50000 3 3 1 | /usr/bin/mysql -usudoku -psudoku sudoku

/usr/bin/mysql -usudoku -psudoku sudoku <<EOF
delete from sudoku where nx=3 and ny=3 and lastused=0 and ndigits>25 and symmetrical=2
and level!=2 and level!=3;
EOF
/usr/local/bin/bsudoku 50000 3 3 2 | /usr/bin/mysql -usudoku -psudoku sudoku

# Remove duplicates 
./removeduplicates.pl

# Optimize table
/usr/bin/mysql -usudoku -psudoku sudoku <<EOF
optimize table sudoku;
EOF

/bin/date

